---
title: "Get user role for template"
url: "https://docs.signnow.com/docs/template/operations/get-v2-templates-template-id-roles-user-id"
type: "endpoint"
section: "template"
slug: "template/operations/get-v2-templates-template-id-roles-user-id"
method: "GET"
path: "/v2/templates/{template_id}/roles/{user_id}"
operation_id: "get-v2-templates-template-id-roles-user-id"
authorization: "bearer"
---

# Get user role for template

`GET /v2/templates/{template_id}/roles/{user_id}`

This endpoint allows API users to retrieve a user's role for a shared template.

**Note**: This endpoint is accessible to the template owner and users with access (sender or viewer).


## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `template_id` | string | Yes | ID of the template. |
| `user_id` | string | Yes | ID of the user. |

## Responses

### 200

Successful response.

**Example** (`Successful response`)

```json
{
  "data": {
    "role": "sender"
  }
}
```

### 400

* Wrong, expired, or missing token.
* The template doesn't exist.
* You are not the template owner.
* The user with `user_id` doesn't have a role in the template.

**Example** (`Template not found`)

```json
{
  "errors": [
    {
      "code": 12029014,
      "message": "Template not found."
    }
  ]
}
```

**Example** (`User role not found`)

```json
{
  "errors": [
    {
      "code": 12029011,
      "message": "User role not found."
    }
  ]
}
```

**Example** (`Not a template owner`)

```json
{
  "errors": [
    {
      "code": 12029012,
      "message": "You don't have access to the entity."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/templates/{template_id}/roles/{user_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/template/operations/get-v2-templates-template-id-roles-user-id*
